com.explodingpixels.macwidgets

## Class ComponentBottomBar.SplitterHandleMouseMovementHandler

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - com.explodingpixels.macwidgets.ComponentBottomBar.SplitterHandleMouseMovementHandler

- All Implemented Interfaces:
    MouseListener, MouseMotionListener, MouseWheelListener, EventListener
  Enclosing class:
    ComponentBottomBar

      protected class ComponentBottomBar.SplitterHandleMouseMovementHandler
      extends MouseAdapter
      implements MouseMotionListener

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ComponentBottomBar.SplitterHandleMouseMovementHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `mouseDragged(MouseEvent e)`
    `void` | `mouseMoved(MouseEvent e)`
    `void` | `mousePressed(MouseEvent e)`

    - ### Methods inherited from class java.awt.event.MouseAdapter

      `mouseClicked, mouseEntered, mouseExited, mouseReleased, mouseWheelMoved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentBottomBar.SplitterHandleMouseMovementHandler

          protected ComponentBottomBar.SplitterHandleMouseMovementHandler()

  - ### Method Detail

    - #### mousePressed

          public void mousePressed(MouseEvent e)

      Specified by:
        `mousePressed` in interface `MouseListener`
      Overrides:
        `mousePressed` in class `MouseAdapter`

    - #### mouseDragged

          public void mouseDragged(MouseEvent e)

      Specified by:
        `mouseDragged` in interface `MouseMotionListener`
      Overrides:
        `mouseDragged` in class `MouseAdapter`

    - #### mouseMoved

          public void mouseMoved(MouseEvent e)

      Specified by:
        `mouseMoved` in interface `MouseMotionListener`
      Overrides:
        `mouseMoved` in class `MouseAdapter`